diff --git a/_ide_helper.php b/_ide_helper.php
index 7f7a796..4fde692 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -3204,8 +3736,9 @@ namespace {
          *
          * @return \PDO 
          * @static 
-         */
-        public static function getReadPdo(){
+         */ 
+        public static function getReadPdo()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getReadPdo();
         }
@@ -3213,11 +3746,12 @@ namespace {
         /**
          * Set the PDO connection.
          *
-         * @param \PDO|null $pdo
+         * @param \PDO|\Closure|null $pdo
          * @return $this 
          * @static 
-         */
-        public static function setPdo($pdo){
+         */ 
+        public static function setPdo($pdo)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::setPdo($pdo);
         }
@@ -3225,11 +3759,12 @@ namespace {
         /**
          * Set the PDO connection used for reading.
          *
-         * @param \PDO|null $pdo
+         * @param \PDO|\Closure|null $pdo
          * @return $this 
          * @static 
-         */
-        public static function setReadPdo($pdo){
+         */ 
+        public static function setReadPdo($pdo)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::setReadPdo($pdo);
         }
@@ -3240,8 +3775,9 @@ namespace {
          * @param callable $reconnector
          * @return $this 
          * @static 
-         */
-        public static function setReconnector($reconnector){
+         */ 
+        public static function setReconnector($reconnector)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::setReconnector($reconnector);
         }
@@ -3251,8 +3787,9 @@ namespace {
          *
          * @return string|null 
          * @static 
-         */
-        public static function getName(){
+         */ 
+        public static function getName()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getName();
         }
@@ -3263,8 +3800,9 @@ namespace {
          * @param string|null $option
          * @return mixed 
          * @static 
-         */
-        public static function getConfig($option = null){
+         */ 
+        public static function getConfig($option = null)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getConfig($option);
         }
@@ -3274,8 +3812,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getDriverName(){
+         */ 
+        public static function getDriverName()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getDriverName();
         }
@@ -3285,8 +3824,9 @@ namespace {
          *
          * @return \Illuminate\Database\Query\Grammars\Grammar 
          * @static 
-         */
-        public static function getQueryGrammar(){
+         */ 
+        public static function getQueryGrammar()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getQueryGrammar();
         }
@@ -3297,8 +3837,9 @@ namespace {
          * @param \Illuminate\Database\Query\Grammars\Grammar $grammar
          * @return void 
          * @static 
-         */
-        public static function setQueryGrammar($grammar){
+         */ 
+        public static function setQueryGrammar($grammar)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::setQueryGrammar($grammar);
         }
@@ -3308,8 +3849,9 @@ namespace {
          *
          * @return \Illuminate\Database\Schema\Grammars\Grammar 
          * @static 
-         */
-        public static function getSchemaGrammar(){
+         */ 
+        public static function getSchemaGrammar()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getSchemaGrammar();
         }
@@ -3320,8 +3862,9 @@ namespace {
          * @param \Illuminate\Database\Schema\Grammars\Grammar $grammar
          * @return void 
          * @static 
-         */
-        public static function setSchemaGrammar($grammar){
+         */ 
+        public static function setSchemaGrammar($grammar)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::setSchemaGrammar($grammar);
         }
@@ -3331,8 +3874,9 @@ namespace {
          *
          * @return \Illuminate\Database\Query\Processors\Processor 
          * @static 
-         */
-        public static function getPostProcessor(){
+         */ 
+        public static function getPostProcessor()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getPostProcessor();
         }
@@ -3343,8 +3887,9 @@ namespace {
          * @param \Illuminate\Database\Query\Processors\Processor $processor
          * @return void 
          * @static 
-         */
-        public static function setPostProcessor($processor){
+         */ 
+        public static function setPostProcessor($processor)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::setPostProcessor($processor);
         }
@@ -3354,8 +3899,9 @@ namespace {
          *
          * @return \Illuminate\Contracts\Events\Dispatcher 
          * @static 
-         */
-        public static function getEventDispatcher(){
+         */ 
+        public static function getEventDispatcher()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getEventDispatcher();
         }
@@ -3366,8 +3912,9 @@ namespace {
          * @param \Illuminate\Contracts\Events\Dispatcher $events
          * @return void 
          * @static 
-         */
-        public static function setEventDispatcher($events){
+         */ 
+        public static function setEventDispatcher($events)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::setEventDispatcher($events);
         }
@@ -3377,8 +3924,9 @@ namespace {
          *
          * @return bool 
          * @static 
-         */
-        public static function pretending(){
+         */ 
+        public static function pretending()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::pretending();
         }
@@ -3388,8 +3936,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function getQueryLog(){
+         */ 
+        public static function getQueryLog()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getQueryLog();
         }
@@ -3399,8 +3948,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function flushQueryLog(){
+         */ 
+        public static function flushQueryLog()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::flushQueryLog();
         }
@@ -3410,8 +3960,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function enableQueryLog(){
+         */ 
+        public static function enableQueryLog()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::enableQueryLog();
         }
@@ -3421,8 +3972,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function disableQueryLog(){
+         */ 
+        public static function disableQueryLog()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::disableQueryLog();
         }
@@ -3432,8 +3984,9 @@ namespace {
          *
          * @return bool 
          * @static 
-         */
-        public static function logging(){
+         */ 
+        public static function logging()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::logging();
         }
@@ -3443,8 +3996,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getDatabaseName(){
+         */ 
+        public static function getDatabaseName()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getDatabaseName();
         }
@@ -3455,8 +4009,9 @@ namespace {
          * @param string $database
          * @return string 
          * @static 
-         */
-        public static function setDatabaseName($database){
+         */ 
+        public static function setDatabaseName($database)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::setDatabaseName($database);
         }
@@ -3466,8 +4021,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getTablePrefix(){
+         */ 
+        public static function getTablePrefix()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getTablePrefix();
         }
@@ -3478,8 +4034,9 @@ namespace {
          * @param string $prefix
          * @return void 
          * @static 
-         */
-        public static function setTablePrefix($prefix){
+         */ 
+        public static function setTablePrefix($prefix)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::setTablePrefix($prefix);
         }
@@ -3490,8 +4047,9 @@ namespace {
          * @param \Illuminate\Database\Grammar $grammar
          * @return \Illuminate\Database\Grammar 
          * @static 
-         */
-        public static function withTablePrefix($grammar){
+         */ 
+        public static function withTablePrefix($grammar)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::withTablePrefix($grammar);
         }
@@ -3503,8 +4061,9 @@ namespace {
          * @param \Closure $callback
          * @return void 
          * @static 
-         */
-        public static function resolverFor($driver, $callback){
+         */ 
+        public static function resolverFor($driver, $callback)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::resolverFor($driver, $callback);
         }
@@ -3515,8 +4074,9 @@ namespace {
          * @param string $driver
          * @return mixed 
          * @static 
-         */
-        public static function getResolver($driver){
+         */ 
+        public static function getResolver($driver)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::getResolver($driver);
         }
@@ -3529,8 +4089,9 @@ namespace {
          * @return mixed 
          * @throws \Exception|\Throwable
          * @static 
-         */
-        public static function transaction($callback, $attempts = 1){
+         */ 
+        public static function transaction($callback, $attempts = 1)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             return \Illuminate\Database\MySqlConnection::transaction($callback, $attempts);
         }
@@ -3541,8 +4102,9 @@ namespace {
          * @return void 
          * @throws \Exception
          * @static 
-         */
-        public static function beginTransaction(){
+         */ 
+        public static function beginTransaction()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::beginTransaction();
         }
@@ -3552,8 +4114,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function commit(){
+         */ 
+        public static function commit()
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::commit();
         }
@@ -3564,8 +4127,9 @@ namespace {
          * @param int|null $toLevel
          * @return void 
          * @static 
-         */
-        public static function rollBack($toLevel = null){
+         */ 
+        public static function rollBack($toLevel = null)
+        {
             //Method inherited from \Illuminate\Database\Connection            
             \Illuminate\Database\MySqlConnection::rollBack($toLevel);
         }
diff --git a/app/Http/Controllers/Api/Auth/AuthController.php b/app/Http/Controllers/Api/Auth/AuthController.php
index a2fea93..83c1b03 100644
--- a/app/Http/Controllers/Api/Auth/AuthController.php
+++ b/app/Http/Controllers/Api/Auth/AuthController.php
@@ -30,7 +30,7 @@ class AuthController extends ApiController
      */
     public function login(LoginRequest $request)
     {
-        $credentials = $request->only('username', 'password');
+        $credentials = $request->getCredentials();
 
         try {
             if (! $token = JWTAuth::attempt($credentials)) {
diff --git a/app/Http/Controllers/Api/StatsController.php b/app/Http/Controllers/Api/StatsController.php
index 289c7c6..1b98c5d 100644
--- a/app/Http/Controllers/Api/StatsController.php
+++ b/app/Http/Controllers/Api/StatsController.php
@@ -52,8 +52,8 @@ class StatsController extends ApiController
     private function adminStats()
     {
         $usersPerMonth = $this->users->countOfNewUsersPerMonth(
-            Carbon::now()->startOfYear(),
-            Carbon::now()
+            Carbon::now()->subYear()->startOfMonth(),
+            Carbon::now()->endOfMonth()
         );
 
         $usersPerStatus = [
diff --git a/app/Http/Controllers/Web/Auth/AuthController.php b/app/Http/Controllers/Web/Auth/AuthController.php
index ed557be..85b2346 100644
--- a/app/Http/Controllers/Web/Auth/AuthController.php
+++ b/app/Http/Controllers/Web/Auth/AuthController.php
@@ -70,7 +70,7 @@ class AuthController extends Controller
             return $this->sendLockoutResponse($request);
         }
 
-        $credentials = $this->getCredentials($request);
+        $credentials = $request->getCredentials();
 
         if (! Auth::validate($credentials)) {
             // If the login attempt was unsuccessful we will increment the number of attempts
@@ -169,30 +169,6 @@ class AuthController extends Controller
         return redirect()->intended('/');
     }
 
-    /**
-     * Get the needed authorization credentials from the request.
-     *
-     * @param  Request  $request
-     * @return array
-     */
-    protected function getCredentials(Request $request)
-    {
-        // The form field for providing username or password
-        // have name of "username", however, in order to support
-        // logging users in with both (username and email)
-        // we have to check if user has entered one or another
-        $usernameOrEmail = $request->get($this->loginUsername());
-
-        if ($this->isEmail($usernameOrEmail)) {
-            return [
-                'email' => $usernameOrEmail,
-                'password' => $request->get('password')
-            ];
-        }
-
-        return $request->only($this->loginUsername(), 'password');
-    }
-
     /**
      * Log the user out of the application.
      *
@@ -200,7 +176,7 @@ class AuthController extends Controller
      */
     public function getLogout()
     {
-        event(new LoggedOut(Auth::user()));
+        event(new LoggedOut);
 
         Auth::logout();
 
@@ -394,18 +370,4 @@ class AuthController extends Controller
         return redirect()->to('login')
             ->withErrors(trans('app.wrong_confirmation_token'));
     }
-
-    /**
-     * Validate if provided parameter is valid email.
-     *
-     * @param $param
-     * @return bool
-     */
-    private function isEmail($param)
-    {
-        return ! Validator::make(
-            ['username' => $param],
-            ['username' => 'email']
-        )->fails();
-    }
 }
diff --git a/app/Http/Controllers/Web/DashboardController.php b/app/Http/Controllers/Web/DashboardController.php
index 8a76603..7f0da89 100644
--- a/app/Http/Controllers/Web/DashboardController.php
+++ b/app/Http/Controllers/Web/DashboardController.php
@@ -54,8 +54,8 @@ class DashboardController extends Controller
     private function adminDashboard()
     {
         $usersPerMonth = $this->users->countOfNewUsersPerMonth(
-            Carbon::now()->subYear(),
-            Carbon::now()
+            Carbon::now()->subYear()->startOfMonth(),
+            Carbon::now()->endOfMonth()
         );
 
         $stats = [
diff --git a/app/Http/Kernel.php b/app/Http/Kernel.php
index c786c18..7fcad59 100644
--- a/app/Http/Kernel.php
+++ b/app/Http/Kernel.php
@@ -58,5 +58,6 @@ class Kernel extends HttpKernel
         'can' => \Illuminate\Auth\Middleware\Authorize::class,
         'bindings' => \Illuminate\Routing\Middleware\SubstituteBindings::class,
         'throttle' => \Illuminate\Routing\Middleware\ThrottleRequests::class,
+        'cache.headers' => \Illuminate\Http\Middleware\SetCacheHeaders::class,
     ];
 }
diff --git a/app/Http/Middleware/TrustProxies.php b/app/Http/Middleware/TrustProxies.php
index ecde46a..3833d55 100644
--- a/app/Http/Middleware/TrustProxies.php
+++ b/app/Http/Middleware/TrustProxies.php
@@ -19,11 +19,5 @@ class TrustProxies extends Middleware
      *
      * @var array
      */
-    protected $headers = [
-        Request::HEADER_FORWARDED => 'FORWARDED',
-        Request::HEADER_X_FORWARDED_FOR => 'X_FORWARDED_FOR',
-        Request::HEADER_X_FORWARDED_HOST => 'X_FORWARDED_HOST',
-        Request::HEADER_X_FORWARDED_PORT => 'X_FORWARDED_PORT',
-        Request::HEADER_X_FORWARDED_PROTO => 'X_FORWARDED_PROTO',
-    ];
+    protected $headers = Request::HEADER_X_FORWARDED_ALL;
 }
diff --git a/app/Http/Requests/Auth/LoginRequest.php b/app/Http/Requests/Auth/LoginRequest.php
index 1152612..f4279d6 100644
--- a/app/Http/Requests/Auth/LoginRequest.php
+++ b/app/Http/Requests/Auth/LoginRequest.php
@@ -3,6 +3,7 @@
 namespace Portal\Http\Requests\Auth;
 
 use Portal\Http\Requests\Request;
+use Illuminate\Contracts\Validation\Factory as ValidationFactory;
 
 class LoginRequest extends Request
 {
@@ -18,4 +19,43 @@ class LoginRequest extends Request
             'password' => 'required'
         ];
     }
+
+    /**
+     * Get the needed authorization credentials from the request.
+     *
+     * @return array
+     */
+    public function getCredentials()
+    {
+        // The form field for providing username or password
+        // have name of "username", however, in order to support
+        // logging users in with both (username and email)
+        // we have to check if user has entered one or another
+        $username = $this->get('username');
+
+        if ($this->isEmail($username)) {
+            return [
+                'email' => $username,
+                'password' => $this->get('password')
+            ];
+        }
+
+        return $this->only('username', 'password');
+    }
+
+    /**
+     * Validate if provided parameter is valid email.
+     *
+     * @param $param
+     * @return bool
+     */
+    private function isEmail($param)
+    {
+        $factory = $this->container->make(ValidationFactory::class);
+
+        return ! $factory->make(
+            ['username' => $param],
+            ['username' => 'email']
+        )->fails();
+    }
 }
diff --git a/app/Repositories/User/EloquentUser.php b/app/Repositories/User/EloquentUser.php
index 6e5f49a..341ad26 100644
--- a/app/Repositories/User/EloquentUser.php
+++ b/app/Repositories/User/EloquentUser.php
@@ -188,6 +188,7 @@ class EloquentUser implements UserRepository
     public function countOfNewUsersPerMonth(Carbon $from, Carbon $to)
     {
         $result = User::whereBetween('created_at', [$from, $to])
+            ->orderBy('created_at')
             ->get(['created_at'])
             ->groupBy(function ($user) {
                 return $user->created_at->format("Y_n");
diff --git a/app/Services/Auth/TwoFactor/Authy.php b/app/Services/Auth/TwoFactor/Authy.php
index 2853d51..e835830 100644
--- a/app/Services/Auth/TwoFactor/Authy.php
+++ b/app/Services/Auth/TwoFactor/Authy.php
@@ -27,7 +27,7 @@ class Authy implements Provider
      */
     public function register(TwoFactorAuthenticatable $user)
     {
-        $key = env('AUTHY_KEY');
+        $key = config('services.authy.key');
 
         $response = json_decode((new HttpClient)->post('https://api.authy.com/protected/json/users/new?api_key='.$key, [
             'form_params' => [
@@ -54,7 +54,7 @@ class Authy implements Provider
     public function tokenIsValid(TwoFactorAuthenticatable $user, $token)
     {
         try {
-            $key = env('AUTHY_KEY');
+            $key = config('services.authy.key');
 
             $options = $user->getTwoFactorAuthProviderOptions();
 
@@ -76,7 +76,7 @@ class Authy implements Provider
      */
     public function delete(TwoFactorAuthenticatable $user)
     {
-        $key = env('AUTHY_KEY');
+        $key = config('services.authy.key');
 
         $options = $user->getTwoFactorAuthProviderOptions();
 
@@ -86,4 +86,4 @@ class Authy implements Provider
 
         $user->setTwoFactorAuthProviderOptions([]);
     }
-}
\ No newline at end of file
+}
diff --git a/app/User.php b/app/User.php
index e4b5e44..e40c868 100644
--- a/app/User.php
+++ b/app/User.php
@@ -2,11 +2,9 @@
 
 namespace Portal;
 
-use Carbon\Carbon;
 use Illuminate\Notifications\Notifiable;
 use Tymon\JWTAuth\Contracts\JWTSubject;
 use Portal\Presenters\UserPresenter;
-use Portal\Services\Auth\Api\Token;
 use Portal\Services\Auth\Api\TokenFactory;
 use Portal\Services\Auth\TwoFactor\Authenticatable as TwoFactorAuthenticatable;
 use Portal\Services\Auth\TwoFactor\Contracts\Authenticatable as TwoFactorAuthenticatableContract;
diff --git a/config/app.php b/config/app.php
index f8ccbe4..d396220 100644
--- a/config/app.php
+++ b/config/app.php
@@ -23,7 +23,7 @@ return [
     | Portal Version
     |--------------------------------------------------------------------------
     */
-    'version' => '2.1.1',
+    'version' => '2.2.0',
 
     /*
     |--------------------------------------------------------------------------
@@ -132,21 +132,6 @@ return [
 
     'cipher' => 'AES-256-CBC',
 
-    /*
-    |--------------------------------------------------------------------------
-    | Logging Configuration
-    |--------------------------------------------------------------------------
-    |
-    | Here you may configure the log settings for your application. Out of
-    | the box, Laravel uses the Monolog PHP logging library. This gives
-    | you a variety of powerful log handlers / formatters to utilize.
-    |
-    | Available Settings: "single", "daily", "syslog", "errorlog"
-    |
-    */
-
-    'log' => 'daily',
-
     /*
     |--------------------------------------------------------------------------
     | Autoloaded Service Providers
diff --git a/config/broadcasting.php b/config/broadcasting.php
index e34e07d..43b5d08 100644
--- a/config/broadcasting.php
+++ b/config/broadcasting.php
@@ -47,6 +47,9 @@ return [
             'driver' => 'log',
         ],
 
+        'null' => [
+            'driver' => 'null',
+        ],
     ],
 
 ];
diff --git a/config/filesystems.php b/config/filesystems.php
index 0da6f97..e5f6e50 100644
--- a/config/filesystems.php
+++ b/config/filesystems.php
@@ -71,10 +71,11 @@ return [
 
         's3' => [
             'driver' => 's3',
-            'key'    => 'your-key',
-            'secret' => 'your-secret',
-            'region' => 'your-region',
-            'bucket' => 'your-bucket',
+            'key' => env('AWS_ACCESS_KEY_ID'),
+            'secret' => env('AWS_SECRET_ACCESS_KEY'),
+            'region' => env('AWS_DEFAULT_REGION'),
+            'bucket' => env('AWS_BUCKET'),
+            'url' => env('AWS_URL'),
         ],
 
         'rackspace' => [
diff --git a/config/hashing.php b/config/hashing.php
new file mode 100644
index 0000000..f929cf0
--- /dev/null
+++ b/config/hashing.php
@@ -0,0 +1,20 @@
+<?php
+
+return [
+
+    /*
+    |--------------------------------------------------------------------------
+    | Default Hash Driver
+    |--------------------------------------------------------------------------
+    |
+    | This option controls the default hash driver that will be used to hash
+    | passwords for your application. By default, the bcrypt algorithm is
+    | used; however, you remain free to modify this option if you wish.
+    |
+    | Supported: "bcrypt", "argon"
+    |
+    */
+
+    'driver' => 'bcrypt',
+
+];
diff --git a/config/logging.php b/config/logging.php
new file mode 100644
index 0000000..902efaf
--- /dev/null
+++ b/config/logging.php
@@ -0,0 +1,70 @@
+<?php
+
+return [
+
+    /*
+    |--------------------------------------------------------------------------
+    | Default Log Channel
+    |--------------------------------------------------------------------------
+    |
+    | This option defines the default log channel that gets used when writing
+    | messages to the logs. The name specified in this option should match
+    | one of the channels defined in the "channels" configuration array.
+    |
+    */
+
+    'default' => env('LOG_CHANNEL', 'stack'),
+
+    /*
+    |--------------------------------------------------------------------------
+    | Log Channels
+    |--------------------------------------------------------------------------
+    |
+    | Here you may configure the log channels for your application. Out of
+    | the box, Laravel uses the Monolog PHP logging library. This gives
+    | you a variety of powerful log handlers / formatters to utilize.
+    |
+    | Available Drivers: "single", "daily", "slack", "syslog",
+    |                    "errorlog", "custom", "stack"
+    |
+    */
+
+    'channels' => [
+        'stack' => [
+            'driver' => 'stack',
+            'channels' => ['single'],
+        ],
+
+        'single' => [
+            'driver' => 'single',
+            'path' => storage_path('logs/laravel.log'),
+            'level' => 'debug',
+        ],
+
+        'daily' => [
+            'driver' => 'daily',
+            'path' => storage_path('logs/laravel.log'),
+            'level' => 'debug',
+            'days' => 7,
+        ],
+
+        'slack' => [
+            'driver' => 'slack',
+            'url' => env('LOG_SLACK_WEBHOOK_URL'),
+            'username' => 'Laravel Log',
+            'emoji' => ':boom:',
+            'level' => 'critical',
+        ],
+
+        'syslog' => [
+            'driver' => 'syslog',
+            'level' => 'debug',
+        ],
+
+        'errorlog' => [
+            'driver' => 'errorlog',
+            'level' => 'debug',
+        ],
+    ],
+
+];
diff --git a/config/queue.php b/config/queue.php
index d304928..9119228 100644
--- a/config/queue.php
+++ b/config/queue.php
@@ -63,6 +63,7 @@ return [
             'connection' => 'default',
             'queue' => 'default',
             'retry_after' => 90,
+            'block_for' => null,
         ],
 
     ],
diff --git a/config/services.php b/config/services.php
index 3c8dc72..74d047e 100644
--- a/config/services.php
+++ b/config/services.php
@@ -54,4 +54,7 @@ return [
         'redirect' => env('GOOGLE_CALLBACK_URI'),
     ],
 
+    'authy' => [
+        'key' => env('AUTHY_KEY')
+    ]
 ];
diff --git a/database/migrations/2015_10_10_170827_create_users_table.php b/database/migrations/2015_10_10_170827_create_users_table.php
index 7904176..0a85a0f 100644
--- a/database/migrations/2015_10_10_170827_create_users_table.php
+++ b/database/migrations/2015_10_10_170827_create_users_table.php
@@ -33,6 +33,8 @@ class CreateUsersTable extends Migration
             $table->text('two_factor_options')->nullable();
             $table->rememberToken();
             $table->timestamps();
+
+            $table->index('created_at');
         });
     }
 
diff --git a/public/.htaccess b/public/.htaccess
index 232a375..25ea53a 100644
--- a/public/.htaccess
+++ b/public/.htaccess
@@ -1,6 +1,6 @@
 <IfModule mod_rewrite.c>
     #<IfModule mod_negotiation.c>
-    #    Options -MultiViews
+    #    Options -MultiViews -Indexes
     #</IfModule>
 
     RewriteEngine On
diff --git a/resources/assets/js/app.js b/resources/assets/js/app.js
index 922878b..e581d53 100644
--- a/resources/assets/js/app.js
+++ b/resources/assets/js/app.js
@@ -15,7 +15,7 @@ window.Vue = require('vue');
  * or customize the JavaScript scaffolding to fit your unique needs.
  */
 
-Vue.component('example', require('./components/Example.vue'));
+Vue.component('example-component', require('./components/ExampleComponent.vue'));
 
 const app = new Vue({
     el: '#app'
diff --git a/resources/assets/js/bootstrap.js b/resources/assets/js/bootstrap.js
index 9042114..56d664c 100644
--- a/resources/assets/js/bootstrap.js
+++ b/resources/assets/js/bootstrap.js
@@ -1,5 +1,6 @@
 
 window._ = require('lodash');
+window.Popper = require('popper.js').default;
 
 /**
  * We'll load jQuery and the Bootstrap jQuery plugin which provides support
@@ -10,7 +11,7 @@ window._ = require('lodash');
 try {
     window.$ = window.jQuery = require('jquery');
 
-    require('bootstrap-sass');
+    require('bootstrap');
 } catch (e) {}
 
 /**
@@ -49,5 +50,7 @@ if (token) {
 
 // window.Echo = new Echo({
 //     broadcaster: 'pusher',
-//     key: 'your-pusher-key'
+//     key: process.env.MIX_PUSHER_APP_KEY,
+//     cluster: process.env.MIX_PUSHER_APP_CLUSTER,
+//     encrypted: true
 // });
\ No newline at end of file
